org.apache.pdfbox.pdmodel.interactive.action

## Class PDActionNamed

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAction
  - - org.apache.pdfbox.pdmodel.interactive.action.PDActionNamed

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

    public class PDActionNamed
    extends PDAction

This represents a named action in a PDF document.

### Field Summary

Fields
`static String` `SUB_TYPE` This type of action this object represents.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`action, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PDActionNamed()` Default constructor.
`PDActionNamed(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getN()` This will get the name of the action to be performed.
`void` `setN(String name)` This will set the name of the action to be performed.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`getCOSObject, getNext, getSubType, getType, setNext, setSubType, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUB_TYPE

    public static final String SUB_TYPE

This type of action this object represents.

See Also:
  Constant Field Values

### Constructor Detail

#### PDActionNamed

    public PDActionNamed()

Default constructor.

#### PDActionNamed

    public PDActionNamed(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getN

    public String getN()

This will get the name of the action to be performed.

Returns:
  The name of the action to be performed.

#### setN

    public void setN(String name)

This will set the name of the action to be performed.

Parameters:
  `name` - The name of the action to be performed.